import java.text.DecimalFormat;
import java.util.Scanner;
import java.util.ArrayList;
import java.io.File;

public class Problem_1_Martian_Time {
    
    public static void main(String[] args) {
        
        try {
            Scanner scanner = new Scanner(new File("F:\\data\\DATA11.txt"));
            ArrayList<String> list = new ArrayList<String>();
            
            DecimalFormat df = new DecimalFormat("00");
            
            while (scanner.hasNextLine()) {
                list.add(scanner.nextLine());
            }
            
            double ratio = 86400 / 88642.663;
            
            for (String line : list) {
                
                String[] s = line.split("\\s+");

                int day = Integer.parseInt(s[0]);
                int hour = Integer.parseInt(s[1]);
                int minutes = Integer.parseInt(s[2]);
                
                double eSecs = day * 60 * 60 * 24 + hour * 60 * 60 + minutes * 60;
                
                double mSecs = eSecs * ratio;
                
                int days = (int)mSecs / (int)(86400);
                System.out.print("Day " + days + ", ");
                
                double daysInSeconds = days * 86400;
                
                double hoursInSeconds = mSecs - daysInSeconds;
                int hours = (int)hoursInSeconds / (3600);
                
                double minutesInSeconds = mSecs - daysInSeconds - hours * 3600;
                double mins = Math.round(minutesInSeconds / 60.0);
                
                if (day != 0 && hour != 0 && minutes != 0) mins += 36;
                
                if (mins > 59) {
                    hours += 1;
                    mins -= 60;
                }
                
                System.out.print(df.format(hours) + ":");
                System.out.println(df.format(mins));
                
                /*double minutesInSeconds = mSecs - daysInSeconds - hoursInSeconds;
                
                double mins = minutesInSeconds / 60.0;
                
                System.out.println(mins + "\n");*/
                
                /*double hoursLeft = mSecs % 86400d;
                
                double hours = hoursLeft / (3600*ratio);
                
                System.out.println(hours);
                
                double minutesLeft = hoursLeft % 60;
                
                double mins = minutesLeft / 60;
                
                System.out.println(minutesLeft + "\n");*/
                
            }
            
        } catch (Exception e) {
            System.out.println("Exception");
        }
        
    }
}